# Payload (Crawler-commons 0.7 API)
Date: 2016-11-21

crawlercommons.fetcher

## Class Payload

- java.lang.Object
- - crawlercommons.fetcher.Payload

All Implemented Interfaces:
  Map<String,Object>

Deprecated.
As of release 0.6. We recommend directly using Apache HttpClient, async-http-client, or any other robust, industrial-strength HTTP clients.

    @Deprecated
    public class Payload
    extends Object
    implements Map<String,Object>

### Nested Class Summary

### Nested classes/interfaces inherited from interface java.util.Map

`Map.Entry<K,V>`

### Constructor Summary

Constructors
Constructor and Description
`Payload()` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`void` `clear()` Deprecated.
`boolean` `containsKey(Object key)` Deprecated.
`boolean` `containsValue(Object value)` Deprecated.
`Set<Map.Entry<String,Object>>` `entrySet()` Deprecated.
`boolean` `equals(Object o)` Deprecated.
`Object` `get(Object key)` Deprecated.
`int` `hashCode()` Deprecated.
`boolean` `isEmpty()` Deprecated.
`Set<String>` `keySet()` Deprecated.
`Object` `put(String key, Object value)` Deprecated.
`void` `putAll(Map<? extends String,? extends Object> m)` Deprecated.
`Object` `remove(Object key)` Deprecated.
`int` `size()` Deprecated.
`Collection<Object>` `values()` Deprecated.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Map

`compute, computeIfAbsent, computeIfPresent, forEach, getOrDefault, merge, putIfAbsent, remove, replace, replace, replaceAll`

### Constructor Detail

#### Payload

    public Payload()

Deprecated.

### Method Detail

#### clear

    public void clear()

Deprecated.

Specified by:
  `clear` in interface `Map<String,Object>`

#### containsKey

    public boolean containsKey(Object key)

Deprecated.

Specified by:
  `containsKey` in interface `Map<String,Object>`

#### containsValue

    public boolean containsValue(Object value)

Deprecated.

Specified by:
  `containsValue` in interface `Map<String,Object>`

#### entrySet

    public Set<Map.Entry<String,Object>> entrySet()

Deprecated.

Specified by:
  `entrySet` in interface `Map<String,Object>`

#### equals

    public boolean equals(Object o)

Deprecated.

Specified by:
  `equals` in interface `Map<String,Object>`
Overrides:
  `equals` in class `Object`

#### get

    public Object get(Object key)

Deprecated.

Specified by:
  `get` in interface `Map<String,Object>`

#### hashCode

    public int hashCode()

Deprecated.

Specified by:
  `hashCode` in interface `Map<String,Object>`
Overrides:
  `hashCode` in class `Object`

#### isEmpty

    public boolean isEmpty()

Deprecated.

Specified by:
  `isEmpty` in interface `Map<String,Object>`

#### keySet

    public Set<String> keySet()

Deprecated.

Specified by:
  `keySet` in interface `Map<String,Object>`

#### put

    public Object put(String key,
                      Object value)

Deprecated.

Specified by:
  `put` in interface `Map<String,Object>`

#### putAll

    public void putAll(Map<? extends String,? extends Object> m)

Deprecated.

Specified by:
  `putAll` in interface `Map<String,Object>`

#### remove

    public Object remove(Object key)

Deprecated.

Specified by:
  `remove` in interface `Map<String,Object>`

#### size

    public int size()

Deprecated.

Specified by:
  `size` in interface `Map<String,Object>`

#### values

    public Collection<Object> values()

Deprecated.

Specified by:
  `values` in interface `Map<String,Object>`